Brion Vibber | 7 Jul 22:11 2006
Picon

MediaWiki 1.7.0 released


This is the quarterly release snapshot for Summer 2006. While the code
has been running on Wikipedia for some time, installation and upgrade
bits may be less well tested. Bug fix releases may follow in the coming
days or weeks.

MediaWiki is now using a "continuous integration" development model with
quarterly snapshot releases. The latest development code is always kept
"ready to run", and in fact runs our own sites on Wikipedia.

Release branches will continue to receive security updates for about a year
from first release, but nonessential bugfixes and feature development happen
on the development trunk and appear in the next quarterly release.

Those wishing to use the latest code instead of a branch release can obtain
it from source control: http://www.mediawiki.org/wiki/Download_from_SVN

This is the first version of MediaWiki to require PHP 5. 5.1.x is recommended;
5.0 may work but is not well tested. (PHP 5.0 is no longer maintained; all PHP
5.0 users should upgrade to a current 5.1 release to ensure they have all
security fixes.) PHP 4.x is no longer supported by MediaWiki. If you are unable
to upgrade PHP, sorry, but you will have to stick with old versions of MediaWiki
for now.

Full release notes:
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_7_0/phase3/RELEASE-NOTES
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_7_0/phase3/HISTORY

Download:
http://prdownloads.sourceforge.net/wikipedia/mediawiki-1.7.0.tar.gz
(Continue reading)

Brion Vibber | 9 Jul 08:08 2006
Picon

MediaWiki 1.6.8 released


MediaWiki 1.6.8 is a security and bugfix maintenance release of the
Spring 2006 snapshot:

A potential HTML/JavaScript-injection vulnerability in a debugging script
has been fixed. Only versions and configurations of PHP vulnerable to the
$GLOBALS overwrite vulnerability are affected.

As a workaround for existing installs, profileinfo.php may simply be deleted
if it's not being used.

* (bug 5957) Updates to Hebrew translation (he)
* Respect language directionality when displaying arrow in Special:Brokenredirects
* (bug 6415) Typo in Parser.php
* Fixed potential XSS in profileinfo.php

Full release notes:
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_6_8/phase3/RELEASE-NOTES
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_6_8/phase3/HISTORY

Download:
http://prdownloads.sourceforge.net/wikipedia/mediawiki-1.6.8.tar.gz

MD5 checksum:
4befcbe776f8585efe705b9bd799a488  mediawiki-1.6.8.tar.gz

SHA-1 checksum:
b2ac945ceef2cac253a1e73b9de1da5f79aa7e77 mediawiki-1.6.8.tar.gz

Before asking for help, try the FAQ:
(Continue reading)

Brion Vibber | 9 Jul 08:11 2006
Picon

MediaWiki 1.7.1 released


MediaWiki 1.7.1 is a security and bugfix maintenance release of the
Summer 2006 snapshot:

A potential HTML/JavaScript-injection vulnerability in a debugging script
has been fixed. Only versions and configurations of PHP vulnerable to the
$GLOBALS overwrite vulnerability are affected.

As a workaround for existing installs, profileinfo.php may simply be deleted
if it's not being used.

* Fix for 'emailconfirmed' implicit user group
* Fix for upgrades on some versions of MySQL 4.0.x
* Fixed potential XSS in profileinfo.php
* Installer now shows clear error message about old PHP versions
  rather than a confusing parse error

Note that MediaWiki 1.7 and above require PHP 5. If you are stuck with PHP 4,
please install MediaWiki 1.6.8.

Full release notes:
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_7_1/phase3/RELEASE-NOTES
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_7_1/phase3/HISTORY

Download:
http://prdownloads.sourceforge.net/wikipedia/mediawiki-1.7.1.tar.gz

MD5 checksum:
50b74e2b5c86fb94c7201b72d2037662  mediawiki-1.7.1.tar.gz

(Continue reading)

Brion Vibber | 9 Jul 08:08 2006
Picon

MediaWiki 1.6.8 released


MediaWiki 1.6.8 is a security and bugfix maintenance release of the
Spring 2006 snapshot:

A potential HTML/JavaScript-injection vulnerability in a debugging script
has been fixed. Only versions and configurations of PHP vulnerable to the
$GLOBALS overwrite vulnerability are affected.

As a workaround for existing installs, profileinfo.php may simply be deleted
if it's not being used.

* (bug 5957) Updates to Hebrew translation (he)
* Respect language directionality when displaying arrow in Special:Brokenredirects
* (bug 6415) Typo in Parser.php
* Fixed potential XSS in profileinfo.php

Full release notes:
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_6_8/phase3/RELEASE-NOTES
http://svn.wikimedia.org/viewvc/mediawiki/tags/REL1_6_8/phase3/HISTORY

Download:
http://prdownloads.sourceforge.net/wikipedia/mediawiki-1.6.8.tar.gz

MD5 checksum:
4befcbe776f8585efe705b9bd799a488  mediawiki-1.6.8.tar.gz

SHA-1 checksum:
b2ac945ceef2cac253a1e73b9de1da5f79aa7e77 mediawiki-1.6.8.tar.gz

Before asking for help, try the FAQ:
(Continue reading)


Gmane